## org.eclipse.jet.core.expressions
Class EmbeddedExpressionFactory

    java.lang.Object
      org.eclipse.jet.core.expressions.EmbeddedExpressionFactory

    public final class EmbeddedExpressionFactory

extends java.lang.Object

A factory for creating embedded expressions

Field Summary
`static java.lang.String` `DEFAULT_EXPRESSION_LANGUAGE` The default expression language.
`static char` `EXPRESSION_CLOSE`
`static java.lang.String` `EXPRESSION_OPEN`

Method Summary
`IEmbeddedExpression` `createExpression(java.lang.String expression)` Create an expression using the default expression language
`IEmbeddedExpression` `createExpression(java.lang.String language, java.lang.String expression)`
`static EmbeddedExpressionFactory` `newInstance()` Factory method for an embedded expression factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_EXPRESSION_LANGUAGE

    public static final java.lang.String DEFAULT_EXPRESSION_LANGUAGE

  The default expression language. Value: jet.xpath

  See Also:
    Constant Field Values

### EXPRESSION_OPEN

    public static final java.lang.String EXPRESSION_OPEN

See Also:
  Constant Field Values

### EXPRESSION_CLOSE

    public static final char EXPRESSION_CLOSE

See Also:
  Constant Field Values

Method Detail

### newInstance

    public static EmbeddedExpressionFactory newInstance()

  Factory method for an embedded expression factory.

  Returns:
    a embedded expression factory

### createExpression

    public IEmbeddedExpression createExpression(java.lang.String expression)

  Create an expression using the default expression language

  Parameters:
    `expression` - the expression
  Returns:
    the expression implementation
  Throws:
    `java.lang.IllegalArgumentException` - if the expression is malformed

### createExpression

    public IEmbeddedExpression createExpression(java.lang.String language,
                                                java.lang.String expression)

Copyright 2006 IBM Corporation and others. All Rights Reserved.